Page MenuHomePhabricator

Rename usergroups@ to usergroup-applications@
Closed, ResolvedPublic

Description

Could we rename the usergroups@ mailing list to usergroup-applications@? There was a request to use the usergroups@ address for a user group discussion list instead of usergroup requests.

We also need to simultaneously update the contact form on Meta for user group applications, which sends mail to this list (see T95789).

Thanks!

Event Timeline

Slaporte created this task.Aug 5 2015, 8:42 PM
Slaporte raised the priority of this task from to Needs Triage.
Slaporte updated the task description. (Show Details)
Slaporte added subscribers: Slaporte, Varnent.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 8:42 PM
JohnLewis added subscribers: RobH, JohnLewis.

@RobH another list rename.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 5 2015, 8:55 PM

T99443 Should be done after (correct me if wrong). Thus the list should be renamed only without the Apache and exim Magic.

Krenair updated the task description. (Show Details)Aug 5 2015, 9:30 PM
Krenair set Security to None.
Krenair added a subscriber: Krenair.Aug 5 2015, 9:34 PM

We also need to simultaneously update the contact form on Meta for user group applications, which sends mail to this list (see T95789).

It just sends to the email address of the 'Usergroups' wiki user. You should be able to change the address, assuming you still have/remember the password or have access to the email address currently associated with it.

We also need to simultaneously update the contact form on Meta for user group applications, which sends mail to this list (see T95789).

It just sends to the email address of the 'Usergroups' wiki user. You should be able to change the address, assuming you still have/remember the password or have access to the email address currently associated with it.

Ah, thanks. I'm ready to change the email when the list is renamed.

JohnLewis triaged this task as Medium priority.Aug 6 2015, 9:29 PM
RobH claimed this task.Aug 14 2015, 9:23 PM

This notice has been emailed to the list owners mailing list, as well as posted on tasks T108099 & T107445.

I've scheduled a sodium/mailman downtime window for planned maintainance on Tuesday, August 18th, 17:00–18:00 UTC. During this time, I'll be working the mailman side of the two tasks. Both are involving list renames. The deployments page on wikitech has been updated with this information: https://wikitech.wikimedia.org/wiki/Deployments

I do not expect this work to take the entire window. However, during this time, mailing list traffic will fail to receive/send. Once mailman is restarted, it will process mailing list messages. That means that mailing list delivery may be sporadic, or not at all, during this window. Any messages sent during this time will process either during or directly after the end of the maintenance.

RobH added a comment.Aug 18 2015, 5:22 PM

I've renamed the list, and removed the old list in its entirety (so when another list is made with that name, there won't be confusion.)

RobH reassigned this task from RobH to Slaporte.Aug 18 2015, 5:22 PM

Stephen had to do some related changes to contact pages, so I've assigned this task to him. (Please resolve when complete.)

Slaporte closed this task as Resolved.Aug 18 2015, 5:43 PM

Thanks! I've changed the account email, so it's all set up now.

Thank you everyone!

Why is https://lists.wikimedia.org/mailman/listinfo/usergroups still available? At least the description should link its actual location.

because it was re-created in T99443.